SMBIOS-KEYBOARD-CTL(1)

NAME
smbios-keyboard-ctl - ../src/bin/smbios-keyboard-ctl

SYNOPSIS
smbios-keyboard-ctl

OPTIONS

--version
    show program's version number and exit

-h, --help
    show this help message and exit

-i, --info
    This will Display the Supported Features for Keyboard illumination

-g, --get-status
    This will Display the current Status of Keyboard Illumination Settings

--set-mode
    Option to set USER Selectable Keyboard Mode

--set-trigger
    Option to set Trigger types for Keyboard Illumination

--set-timeout-battery=SET_TIMEOUT_BATTERY
    Set Keyboard Illumination Timeout Value (battery)

--set-timeout-ac=SET_TIMEOUT_AC
    Set Keyboard Illumination Timeout Value (ac)

--set-level=SET_LEVEL
    Set Keyboard Illumination Level

--als=ALS_OPTION
    Set/Get ALS (Ambient Light Sensor Status and Control Level)

-v, --verbose
    Display more verbose output.

-q, --quiet
    Minimize program output. Only errors and warnings are displayed.

--trace
    Enable verbose function tracing.

--logconfig=LOGCONFIG
    Specify alternate config log.

--security-key=SECURITY_KEY
    BIOS pre-calculated security key.

--password=PASSWORD
    BIOS Setup password for set/activate operations.

-r, --rawpassword
    Do not auto-convert password to scancodes.

--memory-dat=MEMORY_DAT
    Path to a memory dump file to use instead of real RAM

--cmos-dat=CMOS_DAT
    Path to a CMOS dump file to use instead of real CMOS

SEE ALSO
The full documentation for smbios-keyboard-ctl is maintained as a Texinfo manual. If the info and smbios-keyboard-ctl programs are properly installed at your site, the command

    info smbios-keyboard-ctl

should give you access to the complete manual.